Skip to main content
GET
/
api
/
v1
/
places
List places
curl --request GET \
  --url https://shelfforce.ai/api/v1/places \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "title": "<string>",
      "address": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "location": {
        "lat": 0,
        "lng": 0
      },
      "countryCode": "<string>",
      "state": "<string>",
      "channel": "<string>",
      "categoryName": "<string>",
      "street": "<string>",
      "postalCode": "<string>",
      "url": "<string>",
      "imageUrl": "<string>"
    }
  ],
  "pagination": {
    "cursor": "<string>",
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

API key with sf_live_ prefix. Pass as Authorization: Bearer sf_live_...

Query Parameters

country
string

Filter by ISO 3166-1 alpha-2 country code.

Example:

"US"

channel
string

Filter by retail channel.

Example:

"grocery"

Full-text search on place title and address.

Example:

"Walmart"

projectId
string

Filter by project ID.

Example:

"prj_def456"

cursor
string

Opaque pagination cursor returned in the previous response.

limit
integer
default:25

Maximum number of items to return (default 25, max 100).

Required range: 1 <= x <= 100

Response

Paginated list of places.

data
object[]
required
pagination
object
required

Cursor-based pagination metadata.